> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Licenses

`GET https://api.pagerduty.com/licenses`

List the Licenses associated with your Account

Scoped OAuth requires: `licenses.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

Licenses associated with your Account

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `licenses` | array of object |  |  |
| `licenses[].id` | string | yes | Uniquely identifies the resource. |
| `licenses[].description` | string | yes | Description of the License. May include the names of add-ons associated with the License, if there are any. |
| `licenses[].name` | string | yes | Name of the License. |
| `licenses[].valid_roles` | array of string | yes | The roles a User with this License can have. |
| `licenses[].role_group` | string |  | Indicates whether this License is assignable to full or stakeholder Users. One of: `FullUser`, `Stakeholder`. |
| `licenses[].type` | string |  | Type of object. |
| `licenses[].self` | string |  | API URL to access the License. |
| `licenses[].html_url` | string |  | HTML URL to access the License. |
| `licenses[].summary` | string |  | Summary of the License. |
| `licenses[].current_value` | integer |  | How many of these Licenses are currently allocated to Users. |
| `licenses[].allocations_available` | integer \| null |  | How many of these licenses are available to be allocated to a user. If this value is "null" then there is no limit on the number of allocations allowed. |

Example: Example Response

```json
{
  "licenses": [
    {
      "id": "PIP248G",
      "name": "Business (Full User)",
      "description": "Event Intelligence",
      "current_value": 234,
      "allocations_available": 4766,
      "valid_roles": [
        "owner",
        "admin",
        "user",
        "limited_user",
        "observer",
        "restricted_access"
      ],
      "role_group": "FullUser",
      "summary": "Business (Full User)",
      "type": "license",
      "self": null,
      "html_url": null
    },
    {
      "id": "PTHH1SQ",
      "name": "Business (Full User)",
      "description": "",
      "current_value": 0,
      "allocations_available": 4766,
      "valid_roles": [
        "owner",
        "admin",
        "user",
        "limited_user",
        "observer",
        "restricted_access"
      ],
      "role_group": "FullUser",
      "summary": "Business (Full User)",
      "type": "license",
      "self": null,
      "html_url": null
    },
    {
      "id": "PQ8W0D0",
      "name": "Business (Stakeholder)",
      "description": "",
      "current_value": 48,
      "allocations_available": 4952,
      "valid_roles": [
        "read_only_user",
        "read_only_limited_user"
      ],
      "role_group": "Stakeholder",
      "summary": "Business (Stakeholder)",
      "type": "license",
      "self": null,
      "html_url": null
    }
  ]
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
